Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.crmf
Class OptionalValidity

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.crmf.OptionalValidity

All Implemented Interfaces:
  DEREncodable

    public class OptionalValidity

extends ASN1Encodable

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Method Summary
`static OptionalValidity` `getInstance(java.lang.Object o)`
`DERObject` `toASN1Object()` OptionalValidity ::= SEQUENCE { notBefore [0] Time OPTIONAL, notAfter [1] Time OPTIONAL } --at least one MUST be present

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static OptionalValidity getInstance(java.lang.Object o)

### toASN1Object

    public DERObject toASN1Object()

       OptionalValidity ::= SEQUENCE {
                              notBefore  [0] Time OPTIONAL,
                              notAfter   [1] Time OPTIONAL } --at least one MUST be present

  Specified by:
    `toASN1Object` in class `ASN1Encodable`
  Returns:
    a basic ASN.1 object representation.

Bouncy Castle Cryptography Library 1.45